无法通过邀请授予所有者角色

Moses Skoda工程师预计阅读 1 分钟

API 会以 422 Unprocessable Content 状态返回此错误,其 type 为 https://lingo.dev/docs/api/errors/owner-role-not-invitable。所有错误的通用结构,请参阅错误和状态码。

无法通过邀请授予所有者角色。请先以其他角色邀请用户,待用户接受邀请后,再移交所有权。

字段#

此错误仅包含标准成员。

示例#

json
{
  "detail": "The Owner role cannot be given through an invitation. Invite the user with another role, then hand off ownership once they have accepted.",
  "type": "https://lingo.dev/docs/api/errors/owner-role-not-invitable",
  "status": 422,
  "title": "Owner role not invitable"
}

返回此错误的端点#

  • PATCH /v2/invites/{id}
  • POST /v2/organizations/{orgId}/invites